Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
checkout.php File Reference

Go to the source code of this file.

## Functions
if( $vat==false) | turnColumnsOnOff ( $rowName, $t, $ShowSavingsColumn=false, $ShowExTaxColumn=false, $ShowIncTaxColumn=false)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $shippingname = eZHTTPTool::getVar( "shippname" )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $OrderSenderEmail = $ini->variable( "eZTradeMain", "OrderSenderEmail" )
| $OrderReceiverEmail = $ini->variable( "eZTradeMain", "OrderReceiverEmail" )
| $ForceSSL = $ini->variable( "eZTradeMain", "ForceSSL" )
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $ShowExTaxColumn = $ini->variable( "eZTradeMain", "ShowExTaxColumn" ) == "enabled" ? true : false
| $ShowIncTaxColumn = $ini->variable( "eZTradeMain", "ShowIncTaxColumn" ) == "enabled" ? true : false
| $ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false
| $ShowTaxBasis = $ini->variable( "eZTradeMain", "ShowTaxBasis" ) == "enabled" ? true : false
| $ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )
| $StateTaxBilling = $ini->variable( "eZTradeMain", "StateTaxBilling" ) == "enabled" ? true : false
| $StateTaxShipping = $ini->variable( "eZTradeMain", "StateTaxShipping" ) == "enabled" ? true : false
| $CountryVATDiscrimination = $ini->variable( "eZTradeMain", "CountryVATDiscrimination" ) == "enabled" ? true : false
| $OrderDisclaimer = $ini->variable( "eZTradeMain", "OrderDisclaimer" ) == "enabled" ? true : false
| $OrderDisclaimerText = $ini->variable( "eZTradeMain", "OrderDisclaimerText" )
| $ShippingDisclaimerText = $ini->variable( "eZTradeMain", "ShippingDisclaimerText" )
| $upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" )=="enabled"?1:0
| $uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" )=="enabled"?1:0
else | $checkups =1
| $ShowCart = false
| $ShowSavingsColumn = false
if(eZHTTPTool::getVar("ShippingTypeID")) | else
| $test = $currentTypeID[0]
| $cart = new eZCart()
| $session =& eZSession::globalSession()
| $user = eZUser::currentUser()
if(! $cart||! $cart->items()) | $t
if(isset( $SendOrder)) | $type = new eZShippingType()
| $types = $type->getAll()
if($cart->ShipServiceCode &&(! eZHTTPTool::getVar("ShippingTypeID"))) if($cart->AddressID) if(true||eZHTTPTool::getVar("ShippingTypeID")||eZHTTPTool::getVar("ShippingAddressID")) | $markup =0
| $currentShippingType = false
| $thisuser =& eZUser::currentUser()
| $id = $thisuser->id()
| $vat = true
| $address = new eZAddress()
| $taxaddressID = $taxaddressObj->ID()
| $shippingAddress = new eZAddress( $taxaddressID )
| $shippingRegion =& $shippingAddress->region()
| $items = $cart->items( )
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $can_checkout = true
else | $total ["inctax"] = $total["inctax"]
else | $payment = true

## Function Documentation

## ◆ turnColumnsOnOff()

if ($vat==false) turnColumnsOnOff | ( |  | $rowName,
|  |  | $t,
|  |  | $ShowSavingsColumn = `false`,
|  |  | $ShowExTaxColumn = `false`,
|  |  | $ShowIncTaxColumn = `false`
| ) |  |

krack.nosp@m.er@g.nosp@m.ci.ne.nosp@m.t: recoded for eZRegion on 7.30.2001-19:09 Note: Not tested.

Definition at line 666 of file checkout.php.

References $ShowExTaxColumn, $ShowIncTaxColumn, $ShowSavingsColumn, and $t.

## Variable Documentation

## ◆ $address

$address = new eZAddress()

Definition at line 588 of file checkout.php.

Referenced by eZPerson\addAddress(), eZUser\addAddress(), eZCompany\addAddress(), eZUser\addresses(), eZUser\removeAddress(), eZUser\removeAddresses(), eZPerson\removeAddresses(), eZMail\stripEmail(), and eZMail\validate().

## ◆ $can_checkout

$can_checkout = true

Definition at line 1185 of file checkout.php.

## ◆ $cart

if (! $session->fetch()) $cart = new eZCart()

Definition at line 112 of file checkout.php.

## ◆ $checkups

else $checkups =1

Definition at line 70 of file checkout.php.

## ◆ $ColSpanSizeTotals

$ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )

Definition at line 54 of file checkout.php.

## ◆ $CountryVATDiscrimination

$CountryVATDiscrimination = $ini->variable( "eZTradeMain", "CountryVATDiscrimination" ) == "enabled" ? true : false

Definition at line 57 of file checkout.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 818 of file checkout.php.

## ◆ $currentShippingType

$currentShippingType = false

Definition at line 541 of file checkout.php.

## ◆ $ForceSSL

$ForceSSL = $ini->variable( "eZTradeMain", "ForceSSL" )

Definition at line 43 of file checkout.php.

## ◆ $id

$id = $thisuser->id()

Definition at line 545 of file checkout.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 36 of file checkout.php.

## ◆ $items

$items = $cart->items( )

Definition at line 696 of file checkout.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 40 of file checkout.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 817 of file checkout.php.

## ◆ $markup

if ( $cart->ShipServiceCode &&(! eZHTTPTool::getVar("ShippingTypeID"))) if ( $cart->AddressID) if (true||eZHTTPTool::getVar("ShippingTypeID")||eZHTTPTool::getVar("ShippingAddressID")) $markup =0

Definition at line 539 of file checkout.php.

## ◆ $OrderDisclaimer

$OrderDisclaimer = $ini->variable( "eZTradeMain", "OrderDisclaimer" ) == "enabled" ? true : false

Definition at line 59 of file checkout.php.

## ◆ $OrderDisclaimerText

$OrderDisclaimerText = $ini->variable( "eZTradeMain", "OrderDisclaimerText" )

Definition at line 60 of file checkout.php.

## ◆ $OrderReceiverEmail

$OrderReceiverEmail = $ini->variable( "eZTradeMain", "OrderReceiverEmail" )

Definition at line 42 of file checkout.php.

## ◆ $OrderSenderEmail

$OrderSenderEmail = $ini->variable( "eZTradeMain", "OrderSenderEmail" )

Definition at line 41 of file checkout.php.

## ◆ $payment

else $payment = true

Definition at line 1368 of file checkout.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 49 of file checkout.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 47 of file checkout.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 118 of file checkout.php.

## ◆ $shippingAddress

$shippingAddress = new eZAddress( $taxaddressID )

Definition at line 615 of file checkout.php.

Referenced by newOrders(), eZOrderConfirmation\sendMail(), eZOrder\setShippingAddress(), and eZOrder\shippingAddress().

## ◆ $ShippingDisclaimerText

$ShippingDisclaimerText = $ini->variable( "eZTradeMain", "ShippingDisclaimerText" )

Definition at line 61 of file checkout.php.

## ◆ $shippingname

$shippingname = eZHTTPTool::getVar( "shippname" )

Definition at line 38 of file checkout.php.

## ◆ $shippingRegion

$shippingRegion =& $shippingAddress->region()

Definition at line 616 of file checkout.php.

## ◆ $ShowCart

$ShowCart = false

Definition at line 73 of file checkout.php.

## ◆ $ShowExTaxColumn

$ShowExTaxColumn = $ini->variable( "eZTradeMain", "ShowExTaxColumn" ) == "enabled" ? true : false

Definition at line 50 of file checkout.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowExTaxTotal

$ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false

Definition at line 52 of file checkout.php.

## ◆ $ShowIncTaxColumn

$ShowIncTaxColumn = $ini->variable( "eZTradeMain", "ShowIncTaxColumn" ) == "enabled" ? true : false

Definition at line 51 of file checkout.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowNamedQuantity

$ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"

Definition at line 46 of file checkout.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 48 of file checkout.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 45 of file checkout.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 44 of file checkout.php.

## ◆ $ShowSavingsColumn

$ShowSavingsColumn = false

Definition at line 74 of file checkout.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowTaxBasis

$ShowTaxBasis = $ini->variable( "eZTradeMain", "ShowTaxBasis" ) == "enabled" ? true : false

Definition at line 53 of file checkout.php.

## ◆ $StateTaxBilling

$StateTaxBilling = $ini->variable( "eZTradeMain", "StateTaxBilling" ) == "enabled" ? true : false

Definition at line 55 of file checkout.php.

## ◆ $StateTaxShipping

$StateTaxShipping = $ini->variable( "eZTradeMain", "StateTaxShipping" ) == "enabled" ? true : false

Definition at line 56 of file checkout.php.

## ◆ $t

if (! $cart||! $cart->items()) $t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language , "checkout.php" )
$Language
$Language
Definition: checkout.php:40
$ini
$ini
Definition: checkout.php:36
eZTemplate
Definition: eztemplate.php:107

Definition at line 138 of file checkout.php.

Referenced by turnColumnsOnOff().

## ◆ $taxaddressID

$taxaddressID = $taxaddressObj->ID()

Definition at line 606 of file checkout.php.

## ◆ $test

if (isset($RemoveVoucher)) $test = $currentTypeID[0]

Definition at line 109 of file checkout.php.

Referenced by eZPermission\checkPermission().

## ◆ $thisuser

$thisuser =& eZUser::currentUser()

Definition at line 543 of file checkout.php.

## ◆ $total

else $total["inctax"] = $total["inctax"]

Definition at line 1359 of file checkout.php.

Referenced by eZCart\cartTotals(), eZOrderConfirmation\confirm(), eZList\drawNavigator(), eZOrder\orderTotals(), eZOrderConfirmation\sendMail(), and eZOrder\voucherTotal().

## ◆ $type

if (isset($SendOrder)) $type = new eZShippingType()

Definition at line 506 of file checkout.php.

## ◆ $types

$types = $type->getAll()

Definition at line 507 of file checkout.php.

## ◆ $upscheck

$upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" )=="enabled"?1:0

Definition at line 64 of file checkout.php.

## ◆ $user

$user = eZUser::currentUser()

Definition at line 120 of file checkout.php.

## ◆ $uspscheck

$uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" )=="enabled"?1:0

Definition at line 65 of file checkout.php.

## ◆ $vat

$vat = true

Definition at line 587 of file checkout.php.

## ◆ else

if ($total["inctax"]) else

Initial value:
{
$currentTypeID[0] = "03"

Definition at line 107 of file checkout.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.